Bullet Collision Detection & Physics Library: btBatchedConstraints Struct Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Classes | Public Types | Public Member Functions | Public Attributes | Static Public Attributes | List of all members
btBatchedConstraints Struct Reference

`#include <btBatchedConstraints.h>`

Collaboration diagram for btBatchedConstraints:
[legend]

## Classes
struct | Range

## Public Types
enum | BatchingMethod { BATCHING_METHOD_SPATIAL_GRID_2D , BATCHING_METHOD_SPATIAL_GRID_3D , BATCHING_METHOD_COUNT }

## Public Member Functions
| btBatchedConstraints ()
void | setup (btConstraintArray *constraints, const btAlignedObjectArray< btSolverBody > &bodies, BatchingMethod batchingMethod, int minBatchSize, int maxBatchSize, btAlignedObjectArray< char > *scratchMemory)
bool | validate (btConstraintArray *constraints, const btAlignedObjectArray< btSolverBody > &bodies) const

## Public Attributes
btAlignedObjectArray< int > | m_constraintIndices
btAlignedObjectArray< Range > | m_batches
btAlignedObjectArray< Range > | m_phases
btAlignedObjectArray< char > | m_phaseGrainSize
btAlignedObjectArray< int > | m_phaseOrder
btIDebugDraw * | m_debugDrawer

## Static Public Attributes
static bool | s_debugDrawBatches = false

## Detailed Description

Definition at line 26 of file btBatchedConstraints.h.

## Member Enumeration Documentation

## ◆ BatchingMethod

enum btBatchedConstraints::BatchingMethod

Enumerator
BATCHING_METHOD_SPATIAL_GRID_2D |
BATCHING_METHOD_SPATIAL_GRID_3D |
BATCHING_METHOD_COUNT |

Definition at line 28 of file btBatchedConstraints.h.

## Constructor & Destructor Documentation

## ◆ btBatchedConstraints()

btBatchedConstraints::btBatchedConstraints | ( |  | ) |
| inline

Definition at line 52 of file btBatchedConstraints.h.

## Member Function Documentation

## ◆ setup()

void btBatchedConstraints::setup | ( | btConstraintArray * | constraints,
|  | const btAlignedObjectArray< btSolverBody > & | bodies,
|  | BatchingMethod | batchingMethod,
|  | int | minBatchSize,
|  | int | maxBatchSize,
|  | btAlignedObjectArray< char > * | scratchMemory
| ) |  |

Definition at line 1063 of file btBatchedConstraints.cpp.

## ◆ validate()

bool btBatchedConstraints::validate | ( | btConstraintArray * | constraints,
|  | const btAlignedObjectArray< btSolverBody > & | bodies
| ) |  | const

Definition at line 46 of file btBatchedConstraints.cpp.

## Member Data Documentation

## ◆ m_batches

btAlignedObjectArray<Range> btBatchedConstraints::m_batches

Definition at line 44 of file btBatchedConstraints.h.

## ◆ m_constraintIndices

btAlignedObjectArray<int> btBatchedConstraints::m_constraintIndices

Definition at line 43 of file btBatchedConstraints.h.

## ◆ m_debugDrawer

btIDebugDraw* btBatchedConstraints::m_debugDrawer

Definition at line 48 of file btBatchedConstraints.h.

## ◆ m_phaseGrainSize

btAlignedObjectArray<char> btBatchedConstraints::m_phaseGrainSize

Definition at line 46 of file btBatchedConstraints.h.

## ◆ m_phaseOrder

btAlignedObjectArray<int> btBatchedConstraints::m_phaseOrder

Definition at line 47 of file btBatchedConstraints.h.

## ◆ m_phases

btAlignedObjectArray<Range> btBatchedConstraints::m_phases

Definition at line 45 of file btBatchedConstraints.h.

## ◆ s_debugDrawBatches

bool btBatchedConstraints::s_debugDrawBatches = false
| static

Definition at line 50 of file btBatchedConstraints.h.

The documentation for this struct was generated from the following files:

- btBatchedConstraints.h
- btBatchedConstraints.cpp